melt  = @datadir@
bindir = @bindir@

# Component list
components = \
	force_utf8 \
	normalize_ftb \
	tag_meta \
	entities \
	email \
        url \
	date \
	heure \
	adresse \
	currency \
	dimensions \
	jurid \
	chemicals \
	numprefix \
	number \
	remove_inner \
	\
	segment \
	rebuild \
	caponly \
	finalize

# np peut être rajouté après segment

[force_utf8]
cmd = iconv -f UTF-8 -t UTF-32 -c | iconv -f UTF-32 -t UTF-8 -c | $melt/yarecode -l1 -u | perl -pe 's/&\#226;&\#128;&\#14[23];//g' | $melt/yadecode -l1 -u
# | iconv -f UTF-8 -t UTF-32 -c | iconv -f UTF-32 -t UTF-8 -c

[normalize_ftb]
cmd = $melt/normalize_ftb.pl $*

[tag_meta]
cmd = $melt/tag_meta.pl
options = -l $lang $*
desc = protection des meta-caractères

[entities]
cmd = $melt/gl_entities.pl
desc = reconnaissance des entites

[email]
cmd = $melt/gl_email.pl
options = -l $lang $*
desc = reconnaissance des emails

[url]
cmd = $melt/gl_url.pl
options = -l $lang $*
desc = reconnaissance des url
depend = email

[date]
cmd = $melt/gl_date.pl
options = -l $lang $*
desc = reconnaissance des dates

[heure]
cmd = $melt/gl_heure.pl
options = -l $lang $*
desc = reconnaissance des heures

[adresse]
cmd = $melt/gl_adresses.pl
options = -l $lang $*
desc = reconnaissance des adresses

[chemicals]
cmd = $melt/gl_chemicals.pl
options = -l $lang $*
desc = reconnaissance des adresses

[currency]
cmd = $melt/gl_currency.pl
options = -l $lang $*
desc = reconnaissance des adresses

[dimensions]
cmd = $melt/gl_dimensions.pl
options = -l $lang $*
desc = reconnaissance des adresses

[jurid]
cmd = $melt/gl_jurid.pl
options = -l $lang $*
desc = reconnaissance des adresses

[numprefix]
cmd = $melt/gl_numtruc.pl
options = $*
desc = reconnaissance des prefixes numeriques (genre 4-place)

[number]
cmd = $melt/gl_number.pl
options = -l $lang -ll $*
desc = reconnaissance des nombres

[caponly]
cmd = $melt/caponlysentences.pl -l $lang
desc = minusculisation des phrases (presque) entièrement en majuscules

[segment]
cmd = $melt/segmenteur.pl
options = -ca -af=@pkgdatadir@/pctabr -p=r $* -l $lang
desc = segmentation

[rebuild]
cmd = perl -Mutf8 -CS -pe "s/ +_UNSPLIT__SENT_BOUND//g; s/[^ ]+ +_UNSPLIT_(_[^ ]+)/\1/g; s/ +_UNSPLIT_//g; s/{([^{}]*)} (_[^{} ]+) *_REGLUE_([^ \n]+)/{\1\3} \2/g;" | $melt/rebuild_easy_tags.pl -no_sf | perl -Mutf8 -CS -pe "s/<F id.*?>//g; s/<\/F>//g; s/  +/ /g"

[np]
cmd = $melt/gl_np.pl
desc = proper nouns (deterministic)


[remove_inner]
cmd = $melt/remove_inner_ne.pl
desc = desencapsulation des entitées nommées

[finalize]
cmd = perl -pe "s/{ +/{/g; s/ +}/}/g; s/_DATE_[a-z]+/_DATE/g; s/ _UNSPLIT_//g; s/_REGLUE_//g; s/(?:{[^{}]*?} *)?_SENT_BOUND//g; s/{ *([^{} ]+) ([^{}]+?) *} *[^_ \\n][^ \\n]*/\1 \2/g;  s/_underscore/_/gi; s/_acc_o/{/gi; s/_acc_f/}/gi; s/&gt;/>/g; s/&lt;/</g;" | perl -pe "s/  +/ /g; s/^ //; s/ $//; s/(} *_[A-Za-z_]+[A-Za-z])_[^_]+_( |\$)/\1\2/g; s/({(?:19|20)\d\d}) *_NUM/\1 1999/g; s/({(?:[\-\+] ?)?(?:\d ?){4}[^{}]*}) *_NUM/\1 9999/g; s/({(?:[\-\+] ?)?(?:\d ?){3}[^{}]*}) *_NUM/\1 999/g; s/({(?:[\-\+] ?)?(?:\d ?){2}[^{}]*}) *_NUM/\1 99/g; s/({(?:[\-\+] ?)?\d ?[^{}]*}) *_NUM/\1 9/g; s/_NUM/99999/g; s/{([^{}]*)} _XML {/{_<_\1_>_/g; s/} *([^ {}]+) *{([^{}]+)} _XML/_<_\2_>_} $1/g;"
